﻿<%@ Page Language="c#" CodeFile="AdjustableCombo.aspx.cs" Inherits="WebGrid_AdjustableCombo_AdjustableCombo" %>

<%@ Register Assembly="Infragistics35.WebUI.Misc.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.Misc" TagPrefix="igmisc" %>
<%@ Register Assembly="Infragistics35.WebUI.WebCombo.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.WebCombo" TagPrefix="igcmbo" %>
<%@ Register Assembly="Infragistics35.WebUI.UltraWebGrid.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.UltraWebGrid" TagPrefix="igtbl" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>AdjustableCombo</title>
    <meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
    <meta content="C#" name="CODE_LANGUAGE">
    <meta content="JavaScript" name="vs_defaultClientScript">
    <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
    <link href="../../webSample_style.css" type="text/css" rel="stylesheet">
    <script type="text/javascript">
        function wgFillOrder_BeforeEnterEditModeHandler(gridName, cellId) {
            var cell = igtbl_getCellById(cellId);
            var row = cell.Row;
            var column = cell.Column;
            if (column.Key == "Order" && !row.getCell(0).getValue() || column.Key == "Detail" && !row.getCell(1).getValue())
                return true;
            if (column.Key == "Order") {
                var cust = row.getCell(0).getValue(true);
                if (cust) {
                    var oCmbOrdr = igcmbo_getComboById("wcOrder");
                    oCmbOrdr.selectWhere("CustomerID='" + cust + "'");
                }
            }
            else if (column.Key == "Detail") {
                var order = row.getCell(1).getValue(true);
                if (order) {
                    var oCmbDtl = igcmbo_getComboById("wcDetail");
                    oCmbDtl.selectWhere("OrderID=" + order);
                }
            }
        }
    </script>
</head>
<body style="margin: 5px">
    <form id="AdjustableComboForm" method="post" runat="server">
    <igmisc:WebPanel ID="WebPanel2" runat="server" EnableAppStyling="true">
        <PanelStyle CssClass="descriptionPanelContent">
        </PanelStyle>
        <Template>
        </Template>
    </igmisc:WebPanel>
    <br />
    <igtbl:UltraWebGrid ID="wgFillOrder" runat="server" EnableAppStyling="True" StyleSetName="Default">
        <DisplayLayout CellClickActionDefault="Edit" AllowDeleteDefault="Yes" AllowAddNewDefault="Yes"
            AllowSortingDefault="OnClient" RowHeightDefault="22px" Version="4.00" SelectTypeRowDefault="Extended"
            AllowColumnMovingDefault="None" HeaderClickActionDefault="SortMulti" BorderCollapseDefault="Separate"
            AllowColSizingDefault="Free" RowSelectorsDefault="No" Name="wgFillOrder" AllowUpdateDefault="Yes">
            <AddNewBox Hidden="False" Prompt="" View="Compact">
            </AddNewBox>
            <ClientSideEvents BeforeEnterEditModeHandler="wgFillOrder_BeforeEnterEditModeHandler" />
        </DisplayLayout>
        <Bands>
            <igtbl:UltraGridBand Key="FillOrder">
                <Columns>
                    <igtbl:UltraGridColumn HeaderText="Customer" Key="Customer" EditorControlID="wcCustomer"
                        Width="200px" Type="Custom">
                        <%--<Header Key="Customer" Caption="Customer">
                        </Header>--%>
                    </igtbl:UltraGridColumn>
                    <igtbl:UltraGridColumn HeaderText="Order" Key="Order" EditorControlID="wcOrder" Type="Custom"
                        DataType="System.Int32">
                        <Footer Caption="Order">
                            <RowLayoutColumnInfo OriginX="1"></RowLayoutColumnInfo>
                        </Footer>
                        <Header Caption="Order">
                            <RowLayoutColumnInfo OriginX="1"></RowLayoutColumnInfo>
                        </Header>
                    </igtbl:UltraGridColumn>
                    <igtbl:UltraGridColumn HeaderText="Detail" Key="Detail" EditorControlID="wcDetail"
                        Type="Custom" DataType="System.Int16">
                        <Footer Caption="Detail">
                            <RowLayoutColumnInfo OriginX="2"></RowLayoutColumnInfo>
                        </Footer>
                        <Header Caption="Detail">
                            <RowLayoutColumnInfo OriginX="2"></RowLayoutColumnInfo>
                        </Header>
                    </igtbl:UltraGridColumn>
                </Columns>
            </igtbl:UltraGridBand>
        </Bands>
    </igtbl:UltraWebGrid>
    <igcmbo:WebCombo ID="wcCustomer" runat="server" Version="4.00" DataValueField="CustomerID"
        DataTextField="ContactName" EnableXmlHTTP="True" DataSourceID="AccessDataSource1"
        EnableAppStyling="true" StyleSetName="Office2007Black">
        <ExpandEffects ShadowColor="LightGray"></ExpandEffects>
        <Columns>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col0" IsBound="True" Key="Databound Col0">
                <Header Caption="Databound Col0">
                </Header>
            </igtbl:UltraGridColumn>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col1" DataType="System.Int32" IsBound="True"
                Key="Databound Col1">
                <Header Caption="Databound Col1">
                    <RowLayoutColumnInfo OriginX="1" />
                </Header>
                <Footer>
                    <RowLayoutColumnInfo OriginX="1" />
                </Footer>
            </igtbl:UltraGridColumn>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col2" IsBound="True" Key="Databound Col2">
                <Header Caption="Databound Col2">
                    <RowLayoutColumnInfo OriginX="2" />
                </Header>
                <Footer>
                    <RowLayoutColumnInfo OriginX="2" />
                </Footer>
            </igtbl:UltraGridColumn>
        </Columns>
        <DropDownLayout BaseTableName="" BorderCollapse="Separate" RowHeightDefault="20px"
            RowsRange="20" Version="4.00" XmlLoadOnDemandType="Accumulative">
            <FrameStyle Height="130px" Width="325px">
            </FrameStyle>
        </DropDownLayout>
    </igcmbo:WebCombo>
    <igcmbo:WebCombo ID="wcOrder" runat="server" Version="4.00" DataValueField="OrderID"
        DataTextField="OrderID" EnableXmlHTTP="True" DataSourceID="AccessDataSource2"
        EnableAppStyling="true" StyleSetName="Office2007Black">
        <ExpandEffects ShadowColor="LightGray"></ExpandEffects>
        <Columns>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col0" IsBound="True" Key="Databound Col0">
                <Header Caption="Databound Col0">
                </Header>
            </igtbl:UltraGridColumn>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col1" DataType="System.Int32" IsBound="True"
                Key="Databound Col1">
                <Header Caption="Databound Col1">
                    <RowLayoutColumnInfo OriginX="1" />
                </Header>
                <Footer>
                    <RowLayoutColumnInfo OriginX="1" />
                </Footer>
            </igtbl:UltraGridColumn>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col2" IsBound="True" Key="Databound Col2">
                <Header Caption="Databound Col2">
                    <RowLayoutColumnInfo OriginX="2" />
                </Header>
                <Footer>
                    <RowLayoutColumnInfo OriginX="2" />
                </Footer>
            </igtbl:UltraGridColumn>
        </Columns>
        <DropDownLayout BaseTableName="" BorderCollapse="Separate" RowHeightDefault="20px"
            RowsRange="20" Version="4.00" XmlLoadOnDemandType="Accumulative">
            <FrameStyle Height="130px" Width="325px">
            </FrameStyle>
        </DropDownLayout>
    </igcmbo:WebCombo>
    <igcmbo:WebCombo ID="wcDetail" runat="server" Version="4.00" DataValueField="Quantity"
        DataTextField="Quantity" EnableXmlHTTP="True" DataSourceID="AccessDataSource3"
        EnableAppStyling="true" StyleSetName="Office2007Black">
        <ExpandEffects ShadowColor="LightGray"></ExpandEffects>
        <Columns>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col0" IsBound="True" Key="Databound Col0">
                <Header Caption="Databound Col0">
                </Header>
            </igtbl:UltraGridColumn>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col1" DataType="System.Int32" IsBound="True"
                Key="Databound Col1">
                <Header Caption="Databound Col1">
                    <RowLayoutColumnInfo OriginX="1" />
                </Header>
                <Footer>
                    <RowLayoutColumnInfo OriginX="1" />
                </Footer>
            </igtbl:UltraGridColumn>
            <igtbl:UltraGridColumn BaseColumnName="Databound Col2" IsBound="True" Key="Databound Col2">
                <Header Caption="Databound Col2">
                    <RowLayoutColumnInfo OriginX="2" />
                </Header>
                <Footer>
                    <RowLayoutColumnInfo OriginX="2" />
                </Footer>
            </igtbl:UltraGridColumn>
        </Columns>
        <DropDownLayout BaseTableName="" BorderCollapse="Separate" RowHeightDefault="20px"
            RowsRange="20" Version="4.00" XmlLoadOnDemandType="Accumulative">
            <FrameStyle Height="130px" Width="325px">
            </FrameStyle>
        </DropDownLayout>
    </igcmbo:WebCombo>
    <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb"
        SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [Address], [City], [Country] FROM [Customers]">
    </asp:AccessDataSource>
    <asp:AccessDataSource ID="AccessDataSource2" runat="server" DataFile="~/App_Data/Nwind.mdb"
        SelectCommand="SELECT [OrderID], [CustomerID], [OrderDate], [ShipName], [ShipAddress], [ShipCity], [ShipCountry] FROM [Orders]">
    </asp:AccessDataSource>
    <asp:AccessDataSource ID="AccessDataSource3" runat="server" DataFile="~/App_Data/Nwind.mdb"
        SelectCommand="SELECT * FROM [Order Details]"></asp:AccessDataSource>
    </form>
</body>
</html>
